K<-function(x){
return(1/sqrt(2*pi)*exp(-x^2/2))
}


S<-function(t,x,h,r){
#-- t vector de puntos donde se va a evaluar la función.
#-- x valores de la variable explicativa
#-- y valores de la variable respuesta    
#-- r exponente

    return(apply(K(outer(t,x,"-")/h),1,sum)%*%(K(outer(t,x,"-"))^r)
}
EstLL<-function(t,x,y,h){
#-- Esta función me devuelve la estimación por el estimador noparamétrico de la
#-- regresión de Nadaraya-Watson
#-- t vector de puntos donde se va a evaluar la función.
#-- x valores de la variable explicativa
#-- y valores de la variable respuesta
#-- h ventana de suavizado
    
    #num<-K(outer(t,x,"-")/h)%*%(outer(S(t,x,h,2),outer(x,t,"-")%*%S(x,t,h,1),"-")
    return((K(outer(x,t,"-")/h)%*%S(t,x,h,2)-outer(x,t,"-")%*%S(x,t,h,1)/apply(K(outer(x,t,"-")/h)%*%S(t,x,h,2)-outer(x,t,"-")%*%S(x,t,h,1),1,sum))%*%y)
}
